
QGIS Application - Bug report #19675

Retriving symbology from a Spatialite database issue

2018-08-23 12:15 PM - Loïc Bfr

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.18.23 Regression?: No

Operating System: win 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 27500

Description

concerning DB manager plugin and its style saver function. 

It's possible to create a layer called "layer_style" in a DB if in QGIS a style is saved in the property pannel ("style" button, function "saved

in a DB (spatialite)"). Thus a layer_style is created, saving all the styles created and saving, one after one. I can allow a default style to a

layer and this works if I load a layer in QGIS, the style is coming with. But if I move the DB file in windows folders and reconnect the DB,

the link is destroyed and the layer with default style are loaded with a random one. Thus I have to recover the style manually, searching it

in the DB. This appear in v2.18, with v3.2 it's worst. The layer is loaded with a random style but if I go to recover the style in my DB with

property pannel, this one doesn't even appear in the list althoug it is well in the layer_style table(we can see it in the table view). Any idea

of the reason of this?

History

#1 - 2018-08-23 07:00 PM - Giovanni Manghi

- Assignee deleted (Giuseppe Sucameli)

#2 - 2018-08-23 07:58 PM - Giovanni Manghi

- Category changed from DB Manager to Symbology

- Priority changed from Low to Normal

- Status changed from Open to Feedback

- Subject changed from DB manager malfunction to Retriving symbology from a Spatialite database issue

There is certainly an issue on QGIS 3/master, see #19680

About your report:

layers are always loading with a "random" style if QGIS does not find any style to be applied (on load), this isn't an issue then.

If I understand well you say the following:

1) I create a SL (Spatialite) BD, imported a layer in it, applied a style, saved the style as default in the DB

2) Loading the layer from the SL DB results in QGIS applying correctly the default style

3) moved the SL DB manually in another location on the local disk

4) in QGIS the connection to the SL DB is recreated/updated in order to point to the new SL DB location

5) loading the layer from the SL DB (using the new/updated connection) will not result in the default style to be used

is the above a correct description of the issue?

#3 - 2018-08-24 08:24 AM - Loïc Bfr
That's exactly that.

That is for v2.18 and for v3.2 there is also the issue exactly explained in the topic you pointed (issue 19680).

#4 - 2018-08-25 03:27 PM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2019-01-21 12:35 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#6 - 2019-03-09 03:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
